%define		perl_vendorlib	%(eval "`perl -V:installvendorlib`"; echo $installvendorlib)

%define		tarname	IO-stringy

Summary: 	I/O on in-core objects like strings and arrays
Name: 		perl-%{tarname}
Version: 	2.109
Release: 	0.fdr.1.1
Epoch: 		0
License: 	Artistic
Group: 		Development/Libraries
URL: 		http://search.cpan.org/dist/IO-stringy/
Source0: 	%{tarname}-%{version}.tar.gz
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

# -----------------------------------------------------------------------------

%description
This toolkit primarily provides modules for performing both
traditional and object-oriented i/o) on things *other* than normal
filehandles; in particular, IO::Scalar, IO::ScalarArray, and IO::Lines.

# -----------------------------------------------------------------------------

%prep
%setup -q -n %{tarname}-%{version}

# -----------------------------------------------------------------------------

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"
make test

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
make install \
  PERL_INSTALL_ROOT=$RPM_BUILD_ROOT \
  INSTALLARCHLIB=$RPM_BUILD_ROOT%{perl_archlib}
find $RPM_BUILD_ROOT -type f -a \( -name perllocal.pod -o -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%doc README COPYING docs examples
%exclude %{perl_vendorlib}/IO/Scalar.pm.html
%dir %{perl_vendorlib}/IO
%{perl_vendorlib}/IO/AtomicFile.pm
%{perl_vendorlib}/IO/InnerFile.pm
%{perl_vendorlib}/IO/Lines.pm
%{perl_vendorlib}/IO/Scalar.pm
%{perl_vendorlib}/IO/ScalarArray.pm
%{perl_vendorlib}/IO/Stringy.pm
%{perl_vendorlib}/IO/Wrap.pm
%{perl_vendorlib}/IO/WrapTie.pm
%{_mandir}/man3/IO::AtomicFile.3pm*
%{_mandir}/man3/IO::InnerFile.3pm*
%{_mandir}/man3/IO::Lines.3pm*
%{_mandir}/man3/IO::Scalar.3pm*
%{_mandir}/man3/IO::ScalarArray.3pm*
%{_mandir}/man3/IO::Stringy.3pm*
%{_mandir}/man3/IO::Wrap.3pm*
%{_mandir}/man3/IO::WrapTie.3pm*

# -----------------------------------------------------------------------------

%changelog
* Wed Dec 31 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.109-0.fdr.1
- Update to 2.109.

* Thu Oct  2 2003 Michael Schwendt <rh0212ms[AT]arcor.de> 0:2.108-0.fdr.4
- Package is now using vendor directories

* Sat Aug 16 2003 Dams <anvil[AT]livna.org> 0:2.108-0.fdr.3
- Package is now noarch
- rm-ing perllocal.pod instead of excluding it

* Fri Jul 11 2003 Dams <anvil[AT]livna.org> 0:2.108-0.fdr.2
- Changed Group tag value
- "make test" in build section
- Added missing directory

* Sun Jun 15 2003 Dams <anvil[AT]livna.org> 
- Initial build.
